# -*- coding: utf-8 -*-
# Generated by Django 1.9.4 on 2016-03-31 14:26
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('wiki', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Template',
            fields=[
                ('reusableplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wiki.ReusablePlugin')),
                ('template_title', models.SlugField(unique=True)),
                ('extend_to_children', models.BooleanField(default=False, help_text='You can extent this template to children articles.They will be able to use this template without import.', verbose_name='extend')),
            ],
            options={
                'verbose_name': 'template',
                'verbose_name_plural': 'templates',
            },
            bases=('wiki.reusableplugin',),
        ),
        migrations.CreateModel(
            name='TemplateRevision',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('revision_number', models.IntegerField(editable=False, verbose_name='revision number')),
                ('user_message', models.TextField(blank=True)),
                ('automatic_log', models.TextField(blank=True, editable=False)),
                ('ip_address', models.GenericIPAddressField(blank=True, editable=False, null=True, verbose_name='IP address')),
                ('modified', models.DateTimeField(auto_now=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('deleted', models.BooleanField(default=False, verbose_name='deleted')),
                ('locked', models.BooleanField(default=False, verbose_name='locked')),
                ('template_content', models.TextField(blank=True, help_text='Does not support nested template.', verbose_name='template content')),
                ('description', models.TextField(blank=True, verbose_name='description')),
                ('previous_revision', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='wiki_template.TemplateRevision')),
                ('template', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='wiki_template.Template')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'verbose_name': 'template revision',
                'get_latest_by': 'revision_number',
                'ordering': ('created',),
                'verbose_name_plural': 'template revisions',
            },
        ),
        migrations.AddField(
            model_name='template',
            name='current_revision',
            field=models.OneToOneField(blank=True, help_text='The revision of this template currently in use (on all articles using the template)', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='current_set', to='wiki_template.TemplateRevision', verbose_name='current revision'),
        ),
    ]
